aws-0.24.4: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.Ses.Commands.VerifyDomainIdentity

Synopsis

- data VerifyDomainIdentity = VerifyDomainIdentity Text
- data VerifyDomainIdentityResponse = VerifyDomainIdentityResponse Text

# Documentation

data VerifyDomainIdentity Source #

Verify ownership of a domain.

Constructors

VerifyDomainIdentity Text |

#### Instances

Instances details

SignQuery VerifyDomainIdentity Source # | ServiceConfiguration: `SesConfiguration`

Instance details

Defined in Aws.Ses.Commands.VerifyDomainIdentity

Associated Types

type ServiceConfiguration VerifyDomainIdentity |
Instance details Defined in Aws.Ses.Commands.VerifyDomainIdentity type ServiceConfiguration VerifyDomainIdentity = SesConfiguration

Methods

signQuery :: VerifyDomainIdentity -> ServiceConfiguration VerifyDomainIdentity queryType -> SignatureData -> SignedQuery Source #

Show VerifyDomainIdentity Source # |
Instance details Defined in Aws.Ses.Commands.VerifyDomainIdentity Methods showsPrec :: Int -> VerifyDomainIdentity -> ShowS Source # show :: VerifyDomainIdentity -> String Source # showList :: [VerifyDomainIdentity] -> ShowS Source #
Eq VerifyDomainIdentity Source # |
Instance details Defined in Aws.Ses.Commands.VerifyDomainIdentity Methods (==) :: VerifyDomainIdentity -> VerifyDomainIdentity -> Bool Source # (/=) :: VerifyDomainIdentity -> VerifyDomainIdentity -> Bool Source #
Ord VerifyDomainIdentity Source # |

Instance details

Defined in Aws.Ses.Commands.VerifyDomainIdentity

Methods

compare :: VerifyDomainIdentity -> VerifyDomainIdentity -> Ordering Source #

(<) :: VerifyDomainIdentity -> VerifyDomainIdentity -> Bool Source #

(<=) :: VerifyDomainIdentity -> VerifyDomainIdentity -> Bool Source #

(>) :: VerifyDomainIdentity -> VerifyDomainIdentity -> Bool Source #

(>=) :: VerifyDomainIdentity -> VerifyDomainIdentity -> Bool Source #

max :: VerifyDomainIdentity -> VerifyDomainIdentity -> VerifyDomainIdentity Source #

min :: VerifyDomainIdentity -> VerifyDomainIdentity -> VerifyDomainIdentity Source #

ResponseConsumer VerifyDomainIdentity VerifyDomainIdentityResponse Source # |

Instance details

Defined in Aws.Ses.Commands.VerifyDomainIdentity

Associated Types

type ResponseMetadata VerifyDomainIdentityResponse |
Instance details Defined in Aws.Ses.Commands.VerifyDomainIdentity type ResponseMetadata VerifyDomainIdentityResponse = SesMetadata

Methods

responseConsumer :: Request -> VerifyDomainIdentity -> IORef (ResponseMetadata VerifyDomainIdentityResponse) -> HTTPResponseConsumer VerifyDomainIdentityResponse Source #

Transaction VerifyDomainIdentity VerifyDomainIdentityResponse Source # |
Instance details Defined in Aws.Ses.Commands.VerifyDomainIdentity
type ServiceConfiguration VerifyDomainIdentity Source # |
Instance details Defined in Aws.Ses.Commands.VerifyDomainIdentity type ServiceConfiguration VerifyDomainIdentity = SesConfiguration

data VerifyDomainIdentityResponse Source #

The response sent back by Amazon SES after a `VerifyDomainIdentity` command.

Constructors

VerifyDomainIdentityResponse Text |

#### Instances

Instances details

AsMemoryResponse VerifyDomainIdentityResponse Source # |

Instance details

Defined in Aws.Ses.Commands.VerifyDomainIdentity

Associated Types

type MemoryResponse VerifyDomainIdentityResponse |
Instance details Defined in Aws.Ses.Commands.VerifyDomainIdentity type MemoryResponse VerifyDomainIdentityResponse = VerifyDomainIdentityResponse

Methods

loadToMemory :: VerifyDomainIdentityResponse -> ResourceT IO (MemoryResponse VerifyDomainIdentityResponse) Source #

Show VerifyDomainIdentityResponse Source # |
Instance details Defined in Aws.Ses.Commands.VerifyDomainIdentity Methods showsPrec :: Int -> VerifyDomainIdentityResponse -> ShowS Source # show :: VerifyDomainIdentityResponse -> String Source # showList :: [VerifyDomainIdentityResponse] -> ShowS Source #
Eq VerifyDomainIdentityResponse Source # |
Instance details Defined in Aws.Ses.Commands.VerifyDomainIdentity Methods (==) :: VerifyDomainIdentityResponse -> VerifyDomainIdentityResponse -> Bool Source # (/=) :: VerifyDomainIdentityResponse -> VerifyDomainIdentityResponse -> Bool Source #
Ord VerifyDomainIdentityResponse Source # |

Instance details

Defined in Aws.Ses.Commands.VerifyDomainIdentity

Methods

compare :: VerifyDomainIdentityResponse -> VerifyDomainIdentityResponse -> Ordering Source #

(<) :: VerifyDomainIdentityResponse -> VerifyDomainIdentityResponse -> Bool Source #

(<=) :: VerifyDomainIdentityResponse -> VerifyDomainIdentityResponse -> Bool Source #

(>) :: VerifyDomainIdentityResponse -> VerifyDomainIdentityResponse -> Bool Source #

(>=) :: VerifyDomainIdentityResponse -> VerifyDomainIdentityResponse -> Bool Source #

max :: VerifyDomainIdentityResponse -> VerifyDomainIdentityResponse -> VerifyDomainIdentityResponse Source #

min :: VerifyDomainIdentityResponse -> VerifyDomainIdentityResponse -> VerifyDomainIdentityResponse Source #

ResponseConsumer VerifyDomainIdentity VerifyDomainIdentityResponse Source # |

Instance details

Defined in Aws.Ses.Commands.VerifyDomainIdentity

Associated Types

type ResponseMetadata VerifyDomainIdentityResponse |
Instance details Defined in Aws.Ses.Commands.VerifyDomainIdentity type ResponseMetadata VerifyDomainIdentityResponse = SesMetadata

Methods

responseConsumer :: Request -> VerifyDomainIdentity -> IORef (ResponseMetadata VerifyDomainIdentityResponse) -> HTTPResponseConsumer VerifyDomainIdentityResponse Source #

Transaction VerifyDomainIdentity VerifyDomainIdentityResponse Source # |
Instance details Defined in Aws.Ses.Commands.VerifyDomainIdentity
type MemoryResponse VerifyDomainIdentityResponse Source # |
Instance details Defined in Aws.Ses.Commands.VerifyDomainIdentity type MemoryResponse VerifyDomainIdentityResponse = VerifyDomainIdentityResponse
type ResponseMetadata VerifyDomainIdentityResponse Source # |
Instance details Defined in Aws.Ses.Commands.VerifyDomainIdentity type ResponseMetadata VerifyDomainIdentityResponse = SesMetadata